# Uses of Interface
org.eclipse.birt.chart.model.attribute.StyleMap

Packages that use StyleMap
Package
Description
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.

## Uses of StyleMap in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return types with arguments of type StyleMap
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<StyleMap>`
Chart.`getStyles()`
Returns the value of the 'Styles' containment reference list.

## Uses of StyleMap in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return StyleMap
Modifier and Type
Method
Description
`StyleMap`
StyleMap.`copyInstance()`
`StyleMap`
AttributeFactory.`createStyleMap()`
Returns a new object of class 'Style Map'.

## Uses of StyleMap in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement StyleMap
Modifier and Type
Class
Description
`class`
`StyleMapImpl`
An implementation of the model object ' Style Map'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return StyleMap
Modifier and Type
Method
Description
`StyleMap`
StyleMapImpl.`copyInstance()`
`static StyleMap`
StyleMapImpl.`create(StyledComponent name, Style style)`
`StyleMap`
AttributeFactoryImpl.`createStyleMap()`

## Uses of StyleMap in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return types with arguments of type StyleMap
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<StyleMap>`
ChartImpl.`getStyles()`